<div class='event'><h1><?echo"<a href='/collective-$ct[id]'>".hsc($ct['name'])."";?></a> / Флагшток</h1></div>
<div class="content">
<div class="block">


<div>
<img src="/images/icons/flagpole.png" alt="" class="portrait"/>

            <span class="epic">Флагшток</span> - позволяет задать герб колхоза.
        
    
</div>
<div style="clear:both"></div>
<div class="title">
<li class="pavelgrey"></li>
        Цена за загрузку герба <img src="/images/icons/ruby.png"> 100 000 <br/>
        Приобретение флагштока стоит <img src="/images/icons/ruby.png"> 100 000 000
        
    
</div>
<h3>Эффект</h3>
<ul>
<li>
<?
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $mc['flagpole']<1)
{
    if(isset($_GET['buy']))
    {
        if($mc['rubies']>=100000000)
        {
        mysql_query("Update `kolhoz_collective` SET `flagpole` = '1', `rubies` = `rubies` - '100000000' WHERE `id` = '$mc[id]'");
                $_SESSION['msg']="Флагшток куплен. Наслаждайтесь :)";

        header("Location:/collective-$ct[id]/flagpole");

            
        }else
    {
        $_SESSION['msg']="Недостаточно рубинов в кассе колхоза!";
                header("Location:/collective-$ct[id]/flagpole");

    }
    }
    echo'<img src="/images/icons/flagpole.png" alt="" class="portrait"/> <a href="/?collective='.$ct['id'].'&flagpole&buy"> Купить флагшток</a> (цена: <span  class="title"><img src="/images/icons/ruby.png"> 100 000 000</span>)'; 
}
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $mc['flagpole']==1)
{
if (isset($_FILES['file']))
{
$cena=100000;
$error=array();
if($mc['rubies']<=$cena){
$error[]='Недостаточно рубинов';
}
if (empty($_FILES['file']['name']))
$error[]='Файл не выбран';
$ext=explode('.', $_FILES['file']['name']);
$ext=$ext[sizeof($ext)-1];
if (!in_array($ext, array('jpg','jpeg','png','gif')))
$error[]='Запрещенный формат файла';
if ($_FILES['file']['size'] > 3276800) //3276800 b = 400 kb
$error[]='Максимальный вес картинки 400kb';
if (!getimagesize($_FILES['file']['tmp_name']))
$error[]='Запрещенный формат файла';
$par = getimagesize($_FILES['file']['tmp_name']);
if ($par[0] <150 || $par[1] < 60)
$error[]='Минимальный размер картинки 150х60';
if (empty($error))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("blazon/$mc[blazon].png");

if (copy($_FILES['file']['tmp_name'], 'blazon/'.md5($time+$mc['name']).'.png'))
{
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = `rubies` - '100000', `blazon` = '".md5($time+$mc[name])."' WHERE `id`  ='$mc[id]'");
echo mysql_error();
  $_SESSION['msg']='Герб загружен.';

                header("Location:/collective-$ct[id]/flagpole");


}
else
{
  $_SESSION['msg']='Произошла ошибка копирования файла в каталог. Попробуйте позже';
}
}
else
{
foreach ($error as $err)
{
    $_SESSION['msg']=''.$err.'';

                header("Location:/collective-$ct[id]/flagpole");
}
}
}    
echo "<li class='pavelgrey'><form method=\"post\" enctype='multipart/form-data'>\n";
echo "<input type='file' name='file' /><br/>\n";
echo "<li class='pavelgrey'><div class='small minor'> (Фотография должна быть в формате png, jpeg, jpg и ее размер не должен превышать 400 Кб.)</div>";
echo'
';
echo "<li class='pavelgrey'><input value='Загрузить' type='submit' name='ok' /><br /></form>\n";
}
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']!=1 && $mc['flagpole']==1)
{
    echo'<img src="/images/icons/flagpole.png" alt="" class="portrait"/> Флагшток: <span class"title">куплен</span>';
}
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']!=1 && $mc['flagpole']!=1)
{
    echo'<img src="/images/icons/flagpole.png" alt="" class="portrait"/> Флагшток: <span class"title">не куплен</span>';
}
echo'<span class="txt-md"><li class="pavelgrey">Задать герб колхоза может только председатель.</li></span></div>';

include_once 'inc/foot.php';
?>

